Package org.opencv.photo

## Class TonemapDrago

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.photo.Tonemap
    - - org.opencv.photo.TonemapDrago

-     public class TonemapDrago
      extends Tonemap

  Adaptive logarithmic mapping is a fast global tonemapping algorithm that scales the image in logarithmic domain. Since it's a global operator the same function is applied to all the pixels, it is controlled by the bias parameter. Optional saturation enhancement is possible as described in CITE: FL02 . For more information see CITE: DM03 .

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `TonemapDrago​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TonemapDrago` | `__fromPtr__​(long addr)` |
    `protected void` | `finalize()` |
    `float` | `getBias()` |
    `float` | `getSaturation()` |
    `void` | `setBias​(float bias)` |
    `void` | `setSaturation​(float saturation)` |

    - ### Methods inherited from class org.opencv.photo.Tonemap

      `getGamma, process, setGamma`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TonemapDrago

          protected TonemapDrago​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static TonemapDrago __fromPtr__​(long addr)

    - #### getBias

          public float getBias()

    - #### getSaturation

          public float getSaturation()

    - #### setBias

          public void setBias​(float bias)

    - #### setSaturation

          public void setSaturation​(float saturation)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Tonemap`
      Throws:
        `java.lang.Throwable`